Subject: Re: bug#10431: a .trs file left behind for each test

From: Jim Meyering <[email-masked]>
Date: Wed, 04 Jan 2012 18:21:43 +0100

Stefano Lattarini wrote:
...
>> [using latest automake from git.master]
>> For example, in grep and coreutils, after I run "make check", I find
>> that every test has a corresponding .trs file alongside the usual .log file.
>>
> Yep, that's by design; the new automake-generated testsuite harness needs
> to register, for each test script that it runs, more information than the
...
>      <http://lists.gnu.org/archive/html/automake-patches/2011-07/msg00097.html>
>      <http://lists.gnu.org/archive/html/automake-patches/2011-08/msg00001.html>

Indeed, I missed those patches and should have looked at the source
before reporting.  Sorry my full schedule led me to take that short-cut.
(you're partly to thank/blame for posting those coreutils snapshot results :-)

> P.S. Let me reiterate that, while I greatly appreciate your continual use
> and testing the bleeding-edge automake versions with real-world packages,
> the code from `master' it is IMO *not* stable or mature enough for use in
> production code.  So I'd advise against its use in the upcoming coreutils
> release (but you could use the version from maint, which has a couple of
> bug fixes w.r.t. 1.11.2, and it's IMHO very stable).

I understand your sentiment and appreciate the concern, but so far all
of the evidence I've seen (continual monitoring of automake commits and
regular testing both of automake and of packages built using the very
latest automake) suggests that you are wrong.